> For the complete documentation index, see [llms.txt](https://docs.carbondefi.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.carbondefi.xyz/contracts-and-functions/carbonvortex-functions/read-functions/totalcollected.md).

# totalCollected()

```solidity
    function totalCollected() external view returns (uint256);
```

This function returns the amount of tokens collected by the Carbon Vortex to date. If `finalTargetToken` is defined, this value will represent amount collected in this token, otherwise, it will represent `targetToken`.

### Example

{% code overflow="wrap" %}

```solidity
totalCollected(0x1F573D6Fb3F13d689FF844B4cE37794d79a7FF1C)
returns (
      10000000000000
)
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.carbondefi.xyz/contracts-and-functions/carbonvortex-functions/read-functions/totalcollected.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
